curl --location --request POST 'https://mock.apidog.com/m1/1209598-0-default/invoice' \
--header 'X-Api-Key: YOUR_API_KEY' \
--header 'X-Api_Secret: YOUR_API_SECRET' \
--header 'X-Application: YOUR_APPLICATION_ID' \
--header 'X-Api-Station: YOUR_API_STATION' \
--header 'X-App-Version: 1' \
--header 'Content-Type: application/json' \
--data-raw '{
"InvoiceId": "INV-0123",
"InvoiceNumber": "ABC0123456",
"Reference": "-",
"IsDiscounted": false,
"IsTaxInclusive": true,
"BuyerContact": {
"Name": "Stuart Taffs",
"TradeName": "Fiscal Harmony",
"Tin": "1234567890",
"VatNumber": "123456789",
"Phone": null,
"Email": null,
"Address": {
"Province": "HRE",
"Street": "Sandringham Drive, Alexandra Park",
"HouseNo": "40",
"City": "Harare"
}
},
"Date": "2026-03-02T10:29:51+02:00",
"LineItems": [
{
"Description": "Fiscal Device",
"UnitAmount": 420.0,
"TaxCode": "VAT",
"ProductCode": "99001234",
"LineAmount": 420.00,
"DiscountAmount": null,
"Quantity": 1.0,
"CustomFields": null
}
],
"PaymentMethod": "Card",
"SubTotal": 353.00,
"TotalTax": 67.00,
"Total": 420.00,
"CurrencyCode": "USD",
"IsRetry": false
}'